Subject: Re: bug#21145: 24.4; package update gives tls errors

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jul 2015 13:12:14 +0300

> From: Rustom Mody <[email-masked]>
> Date: Tue, 28 Jul 2015 08:29:56 +0530
> 
> Start emacs with -Q
> Run (package-initialize)
> Run (add-to-list 'package-archives
>              '("marmalade" . "https://marmalade-repo.org/packages/") t)
> Run M-x package-list-packages
> 
> Get error
> gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
> terminated.
> 
> Some info from ldconfig -v|grep libgnutls
> 
>     libgnutls-deb0.so.28 -> libgnutls-deb0.so.28.41.0
> /sbin/ldconfig.real: /lib/x86_64-linux-gnu/ld-2.21.so is the dynamic
> linker, ignoring
> 
>     libgnutls-openssl.so.27 -> libgnutls-openssl.so.27.0.2
>     libgnutls-deb0.so.28 -> libgnutls-deb0.so.28.41.0

I cannot reproduce this on my system (not on Ubuntu) with the same
version of GnuTLS.  I get a listing of packages, including those from
marmalade, as expected.

I suspect some problem specific to your site or Internet connection,
or perhaps some Ubuntu-specific issue.